%define __kde4_alternate_placement 1
%define origname krusader

Name: kde4-%origname
Version: 2.0.0
Release: alt2.M50.3

Source: %origname-%version.tar.gz

Packager: Konstantin Baev <kipruss@altlinux.org>

Group: File tools
Summary: Advanced KDE twin-panel file-manager
License: GPLv3+
Url: http://www.krusader.org/

BuildRequires: kde4libs-devel gcc-c++ libjpeg-devel

%description
Krusader is an advanced twin panel (commander style) file manager
for KDE and other desktops in the *nix world, silar to Midnight
or Total Commander. It provides all the file management features
you could possibly want.

Plus: extensive archive handling, mounted filesystem support, FTP,
advanced search module, an internal viewer/editor, directory
synchronisation, file content comparisons, powerful batch renaming
and much much more. It supports a wide variety of archive formats
and can handle other KIO slaves such as smb or fish.

It is (almost) completely customizable, very user friendly,
fast and looks great on your desktop! You should give it a try.

This piece of software is developed by the Krusader Krew,
published under the GNU General Public Licence
(http://www.gnu.org/copyleft/gpl.html).

%prep
%setup -qn %origname-%version

%build
%K4build

%install
%K4install

%K4find_lang %origname --with-kde

%files -f %origname.lang
%doc README AUTHORS ChangeLog TODO COPYING SVNNEWS FAQ INSTALL
%__kde4_bindir/%origname
%__kde4_xdg_apps/*.desktop
%_K4apps/%origname
%_K4srv/*.protocol
%_K4conf/kio_isorc
%__kde4_iconsdir/*/*/apps/*.png
%_K4lib/*.so

%changelog
* Sun Apr 12 2009 Konstantin Baev <kipruss@altlinux.org> 2.0.0-alt2.M50.3
- Build Krusader 2.0.0 "Mars Pathfinder" for branch 5.0

* Sun Apr 12 2009 Konstantin Baev <kipruss@altlinux.org> 2.0.0-alt3
- Krusader 2.0.0 "Mars Pathfinder" released!

* Sat Apr 11 2009 Konstantin Baev <kipruss@altlinux.org> 2.0.0-alt2.svn6287.1
- new version - 2.0.0-svn6287
- temporary disabled russian docs (docs old ald not compileable)

* Wed Mar 11 2009 Konstantin Baev <kipruss@altlinux.org> 2.0.0-alt2.svn6247.2
- delete CVSNEWS from spec

* Wed Mar 11 2009 Konstantin Baev <kipruss@altlinux.org> 2.0.0-alt2.svn6247.1
- new version - 2.0.0-svn6247

* Tue Mar 10 2009 Konstantin Baev <kipruss@altlinux.org> 2.0.0-alt1.svn6244.1
- new version - 2.0.0-svn6244

* Tue Jan 20 2009 Konstantin Baev <kipruss@altlinux.org> 2.0.0-alt0.beta2.1
- new version - 2.0.0-beta2

* Wed Nov 19 2008 Konstantin Baev <kipruss@altlinux.org> 2.0.0-alt0.beta1.2
- fix repocop errors - remove update-desktop-database, update_menus macroses

* Fri Oct 24 2008 Konstantin Baev <kipruss@altlinux.org> 2.0.0-alt0.beta1.1
- initial build for Sisyphus (KDE4)
